Bug 426269 - kdump not working with non-default LVM names
kdump not working with non-default LVM names
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
:
Depends On: 360111
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-19 13:27 EST by ritz
Modified: 2009-09-08 23:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:33:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ritz 2007-12-19 13:27:09 EST
+++ This bug was initially created as a clone of Bug #360111 +++

Description of problem:

When triggering a kernel crash, kdump fails to find my logical volumes and then
doesn't save the crashdump.

Version-Release number of selected component (if applicable):

kernel 2.6.18-8.1.15.el5
kexec-tools-1.101-164.el5
lvm2-2.02.16-3.el5

How reproducible:

100%

Steps to Reproduce:
1. install a rhel5 system with all filesystems on lvm, using the follwing
anaconda script:
 clearpart --all --initlabel
 part /boot --fstype ext3 --size=128
 part pv.100000 --size=0 --grow
 volgroup rootvg --pesize=32768 pv.100000
 logvol /var --fstype ext3 --name=varlv --vgname=rootvg --size=3072
 logvol swap --fstype swap --name=swaplv --vgname=rootvg --size=2048
 logvol / --fstype ext3 --name=rootlv --vgname=rootvg --size=5120
 logvol /local --fstype ext3 --name=locallv --vgname=rootvg --size=1024

2. configure kdump to default to shell
3. crash it with echo c > /proc/sysrq-trigger
  
Actual results:

Fails to get a dump because during kdump initialization it can't find
/dev/mapper/-varlv, /dev/mapper/-swaplv, /dev/mapper/-rootlv.


Expected results:

It should find /dev/mapper/rootvg-varlv, /dev/mapper/rootvg-swaplv, etc.. and
give me a crash dump.

Additional info:

I checked the "init" script in the kdump initrd, and found the following section
 which seems to contain the bug:

for i in `lvm lvs | awk '{ if (NR > 1) print $1}'`

# loops over the following LV's: crashlv locallv projects rootlv swaplv varlv
machete.

do
   VGRP=`lvm lvs | grep $i | cut -d" " -f4`

Ouch! it's cut'ing on number of spaces. Only one of my LV's has long enough
names to only have 3 spaces in the output before the VG-name:

# for i in crashlv locallv machete projects rootlv swaplv varlv  ; do lvm lvs |
grep $i  ; done
  crashlv  rootvg -wi-ao  4.00G                              
  locallv  rootvg -wi-ao  1.00G                              
  machete  rootvg -wi-ao  9.78G                              
  projects rootvg -wi-ao 19.53G    # This is my only match!                   
  rootlv   rootvg -wi-ao  5.00G                              
  swaplv   rootvg -wi-ao  2.00G                              
  varlv    rootvg -wi-ao  3.00G          

A much better command for finding the VG-name would be:

   VGRP=`lvm lvs | grep $i | awk '{print $2}'`


# for i in crashlv locallv machete projects rootlv swaplv varlv  ; do lvm lvs |
grep $i | cut -d" " -f4 ; done



rootvg



# for i in crashlv locallv machete projects rootlv swaplv varlv  ; do lvm lvs |
grep $i | awk '{print $2}' ; done
rootvg
rootvg
rootvg
rootvg
rootvg
rootvg
rootvg

-- Additional comment from mykleb@no.ibm.com on 2007-10-31 09:24 EST --
Created an attachment (id=244531)
use awk instead of cut to find volume group
Comment 1 Jan-Frode Myklebust 2007-12-19 13:36:41 EST
FYI: This is also reported as service request #1786214.
Comment 2 Chris Schembari 2008-05-12 12:58:40 EDT
  Sounds like a problem I'm having might be related to the above bug.  When I 
installed F8 on this 64-bit machine (dmesg listed under bug #446074), I used 
custom LVM labels, just for kicks, and for greater ease in telling them apart 
in the future.  The volgroup is called "fedora8_64" and the three logvols 
within are "home", "swap", & "slash".
  With this arrangement, I used to get the error message at boot time, "No 
kdump initial ramdisk found" followed by the word "[WARNING]" printed in a dark 
amber, instead of the usual red or green.  Now, that message no longer shows 
up, but I do get, at about the same point during every boot, "Starting kdump" 
followed by a red "[FAILED]".
Comment 3 Bug Zapper 2008-11-26 04:04:49 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 00:33:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.